Index: trunk/SophyaExt/FitsIOServer/fabtcolread.cc
===================================================================
--- trunk/SophyaExt/FitsIOServer/fabtcolread.cc	(revision 4025)
+++ trunk/SophyaExt/FitsIOServer/fabtcolread.cc	(revision 4029)
@@ -1,3 +1,3 @@
-/* Lecteur de colonne de table Fits (binaire ou ASCII) avec buffer */
+/* Lecteur de colonne de table Fits (binaire ou ASCII) */
 #include "sopnamsp.h"
 #include "machdefs.h"
@@ -307,20 +307,14 @@
   \param collabel : label of the column to be read
   \param ihdu : number of the HDU where the column is.
-  \param blen : read buffer length
-  \param bsens : buffer reading direction
   \param lp : debug level
   \verbatim
   - if ihdu<=0 first BINARY or ASCII table is taken
   - if ihdu>nhdu ihdu is set to nhdu
-  - bsens>0    read forward
-    bsens<0    read backward
-    bsens==0   read centered
   \endverbatim
   \warning ihdu = [1,nhdu]
 */
-FitsABTColRd::FitsABTColRd(FitsOpenFile* fof,string collabel
-                          ,int ihdu,long blen,long bsens,int lp)
-{
-  Init(fof,collabel.c_str(),-1,ihdu,blen,bsens,lp);
+FitsABTColRd::FitsABTColRd(FitsOpenFile* fof,string collabel,int ihdu,int lp)
+{
+  Init(fof,collabel.c_str(),-1,ihdu,lp);
 }
 
@@ -331,8 +325,7 @@
   \warning col = [0,ncol[
 */
-FitsABTColRd::FitsABTColRd(FitsOpenFile* fof,int colnum
-                          ,int ihdu,long blen,long bsens,int lp)
-{
-  Init(fof,"",colnum,ihdu,blen,bsens,lp);
+FitsABTColRd::FitsABTColRd(FitsOpenFile* fof,int colnum,int ihdu,int lp)
+{
+  Init(fof,"",colnum,ihdu,lp);
 }
 
@@ -340,7 +333,5 @@
 FitsABTColRd::FitsABTColRd(FitsABTColRd& fbt)
 {
-  Init(fbt.GetFitsOpenFile(),fbt.GetColLabel().c_str()
-      ,fbt.GetColNum(),fbt.HDU()
-      ,fbt.GetBLen(),fbt.GetBSens(),fbt.DbgLevel);
+  Init(fbt.GetFitsOpenFile(),fbt.GetColLabel().c_str(),fbt.GetColNum(),fbt.HDU(),fbt.DbgLevel);
 }
 
@@ -355,11 +346,8 @@
  NFitsRead = 0;
  FitsOF = NULL;
- LineDeb = LineFin = -1;
- Buffer = NULL;
 }
 
 /*! Init routine called by the constructor */
-void FitsABTColRd::Init(FitsOpenFile* fof,const char* collabel,int colnum
-                        ,int ihdu,long blen,long bsens,int lp)
+void FitsABTColRd::Init(FitsOpenFile* fof,const char* collabel,int colnum,int ihdu,int lp)
 {
  // Initialisation des Parametres Generaux
@@ -371,6 +359,4 @@
  NFitsRead = 0;
  FitsOF = NULL;
- LineDeb = LineFin = -1;
- Buffer = NULL;
 
  // Caracteristiques du FitsOpenFile
@@ -475,7 +461,4 @@
  fits_get_col_display_width(GetFitsPtr(),ColNum+1,&ColDispWidth,&sta);
 
- // Set the buffer for reading
- ChangeBuffer(blen,bsens);
-
  if(DbgLevel)
    cout<<"FitsABTColRd::Init Num="<<ColNum<<" Label="<<ColLabel
@@ -497,34 +480,5 @@
 {
  if(StrBuff!=NULL) {delete [] StrBuff; StrBuff=NULL;}
- if(Buffer!=NULL) {delete [] Buffer; Buffer=NULL;}
- LineDeb = LineFin = -1;
  //--- Surtout on ne "fits_close_file" pas le fichier FITS !!!
-}
-
-//////////////////////////////////////////////////////////////
-/*! Change the buffer caracteristiques (see creator) */
-void FitsABTColRd::ChangeBuffer(long blen,long bsens)
-{
- long oldnbuffer = NBuffer;
-
- // Compute buffer caracteristics
- BuffLen = (blen<=0 || ColRepeat!=1)? 1: blen;
- BuffSens = bsens;
- NBuffer = BuffLen;
- if(bsens==0 && NBuffer%2==0) NBuffer++;
-
- // De-allocate if necessary
- if(Buffer!=NULL) {
-   // On des-alloue si pas assez de place
-   // ou si l'ancienne place est beaucoup trop grande (>25%)
-   if(oldnbuffer<NBuffer || (oldnbuffer>NBuffer+long(0.25*NBuffer)) )
-     {delete [] Buffer; Buffer=NULL;}
- }
-
- // Re-allocate
- if(Buffer==NULL) Buffer = new double[NBuffer];
-
- // Tell program that nothing is into buffer
- LineDeb = LineFin = -1;
 }
 
@@ -576,11 +530,6 @@
   \return value in double
   \param n : number of the row to be read.
-  \verbatim
-  usebuffer == true  : use read optimisation with bufferisation
-            == false : no optimisation with bufferisation
-                       just read one value
-  \endverbatim
-*/
-double FitsABTColRd::Read(LONGLONG n,long nfirstel,bool usebuffer)
+*/
+double FitsABTColRd::Read(LONGLONG n,long nfirstel)
 // Attention: n=nline [0,NBline[, cfistio veut [1,NBline]
 // Attention: colnum  [0,NBcol[ , cfistio veut [1,NBcol]
@@ -593,53 +542,33 @@
    throw RangeCheckError("FitsABTColRd::Read try to read outside element range: nfirstel>repeat\n");
 
- // Pas de bufferisation (ou repeat=1), on lit betement
- if(NBuffer==1 || !usebuffer || ColRepeat!=1) {
-   NFitsRead++;
-   double val;
-   fits_read_col(GetFitsPtr(),TDOUBLE,ColNum+1,n+1,nfirstel+1,1,NULL,&val,NULL,&sta);
-   if(sta) {
-     FitsOpenFile::printerror(sta);
-     throw NotAvailableOperation("FitsABTColRd::Read: Error Reading Fits file\n");
-   }
-   // On ne remplit Buffer[0] que si on a choisit
-   // un mode de lecture non bufferise (n==1) DES LE DEBUT.
-   // Si on a initialement choisit un mode bufferise (avec n>1),
-   // Buffer contient les valeurs chargees auparavent.
-   // Il ne faut pas faire {Buffer[0]=val; LineDeb=LineFin=n;}
-   // car on perd l'info de ces valeurs.
-   if(NBuffer==1) {Buffer[0]=val; LineDeb=LineFin=n;}
-   return val;
- }
-
- // Gestion avec bufferisation (uniquement dans le cas repeat=1)
- if(!Buffer)
-   throw RangeCheckError("FitsABTColRd::Read: Buffer not allocated\n");
- if(n<LineDeb || n>LineFin) {
-   NFitsRead++;
-   LONGLONG row1,row2,nrow;
-   if(BuffSens>0) { // Cas remplissage forward
-     row1 = n+1;
-     row2 = row1+NBuffer-1; if(row2>NBline) row2 = NBline;
-   } else if(BuffSens<0) { // Cas remplissage backward
-     row2 = n+1;
-     row1 = row2-NBuffer+1; if(row1<1) row1 = 1;
-   } else { // Cas remplissage centre
-     row1 = n+1 - NBuffer/2; if(row1<1) row1 = 1;
-     row2 = n+1 + NBuffer/2; if(row2>NBline) row2 = NBline;
-   }
-   nrow = row2 - row1 + 1;
-   LineDeb = row1-1; LineFin = row2-1;
-   //cout<<"DBG-FitsRead: row1="<<row1<<" row2="<<row2<<" nrow="<<nrow
-   //    <<" LineDeb,Fin="<<LineDeb<<","<<LineFin<<endl;
-   fits_read_col(GetFitsPtr(),TDOUBLE,ColNum+1,row1,1,nrow,NULL,Buffer,NULL,&sta);
-   if(sta) {
-     FitsOpenFile::printerror(sta);
-     LineDeb = LineFin = -1;
-     throw NotAvailableOperation("FitsABTColRd::Read: Error Reading Fits file\n");
-   }
- }
-
- long ibuf = n-LineDeb;
- return Buffer[ibuf];
+ double val;
+ fits_read_col(GetFitsPtr(),TDOUBLE,ColNum+1,n+1,nfirstel+1,1,NULL,&val,NULL,&sta);
+ if(sta) {
+   FitsOpenFile::printerror(sta);
+   throw NotAvailableOperation("FitsABTColRd::Read: Error Reading Fits file\n");
+ }
+ NFitsRead++;
+ return val;
+}
+
+/*!
+  Read row "n" element "nfirstel" and return a long long int
+*/
+int_8 FitsABTColRd::ReadLL(LONGLONG n,long nfirstel)
+{
+ int sta=0;
+ if(n<0 || n>=NBline)
+   throw RangeCheckError("FitsABTColRd::ReadLL try to read outside line range\n");
+ if(nfirstel<0 || nfirstel>=ColRepeat)
+   throw RangeCheckError("FitsABTColRd::ReadLL try to read outside element range: nfirstel>repeat\n");
+
+ int_8 val;
+ fits_read_col(GetFitsPtr(),TLONGLONG,ColNum+1,n+1,nfirstel+1,1,NULL,&val,NULL,&sta);
+ if(sta) {
+   FitsOpenFile::printerror(sta);
+   throw NotAvailableOperation("FitsABTColRd::ReadLL: Error Reading Fits file\n");
+ }
+ NFitsRead++;
+ return val;
 }
 
@@ -661,4 +590,5 @@
    throw NotAvailableOperation("FitsABTColRd::ReadComplex: Error Reading Fits file\n");
  }
+ NFitsRead++;
  return complex<r_8>(val[0],val[1]);
 }
@@ -678,5 +608,4 @@
  char nullstr[]="";
 
- NFitsRead++;
  fits_read_col(GetFitsPtr(),TSTRING,ColNum+1,n+1,nfirstel+1,1,nullstr,&StrBuff,NULL,&sta);
  if(sta) {
@@ -684,4 +613,5 @@
    throw NotAvailableOperation("FitsABTColRd::ReadInStr: Error Reading Fits file\n");
  }
+ NFitsRead++;
 
  return StrBuff;
@@ -741,4 +671,5 @@
    throw NotAvailableOperation("FitsABTColRd::Read_TVector<double>: Error Reading Fits file\n");
  }
+ NFitsRead += nread;
 
  return nread;
@@ -767,4 +698,5 @@
    throw NotAvailableOperation("FitsABTColRd::Read_TVector<float>: Error Reading Fits file\n");
  }
+ NFitsRead += nread;
 
  return nread;
@@ -792,4 +724,5 @@
    throw NotAvailableOperation("FitsABTColRd::Read_TVector<uint_2>: Error Reading Fits file\n");
  }
+ NFitsRead += nread;
 
  return nread;
@@ -819,4 +752,5 @@
    throw NotAvailableOperation("FitsABTColRd::Read_TVector<int_4>: Error Reading Fits file\n");
  }
+ NFitsRead += nread;
 
  return nread;
@@ -845,4 +779,5 @@
    throw NotAvailableOperation("FitsABTColRd::Read_TVector<int_8>: Error Reading Fits file\n");
  }
+ NFitsRead += nread;
 
  return nread;
@@ -870,7 +805,4 @@
  LONGLONG row = -1;
  if(NBline==0) return row;
- // Change buffer for efficiency
- long bsens=BuffSens; bool bchange=false;
- if(bsens<=0) {ChangeBuffer(BuffLen,1); bchange=true;}
  if(rowstart<0) rowstart = 0;
  if(rowstart>=NBline) rowstart = NBline-1;
@@ -881,5 +813,4 @@
    break;
  }
- if(bchange) ChangeBuffer(BuffLen,bsens);
  return row;
 }
@@ -902,7 +833,4 @@
  LONGLONG row = -1;
  if(NBline==0) return row;
- // Change buffer for efficiency
- long bsens=BuffSens; bool bchange=false;
- if(bsens>=0) {ChangeBuffer(BuffLen,-1); bchange=true;}
  if(rowstart<0 || rowstart>=NBline) rowstart = NBline-1;
  for(LONGLONG i=rowstart;i>=0;i--) {
@@ -912,5 +840,4 @@
    break;
  }
- if(bchange) ChangeBuffer(BuffLen,bsens);
  return row;
 }
@@ -919,5 +846,5 @@
 void FitsABTColRd::Print(ostream& os,int lp) const
 {
- os<<"FitsABTColRd:Print ("<<BuffLen<<","<<BuffSens<<","<<NulVal<<")"
+ os<<"FitsABTColRd:Print ("<<NulVal<<")"
    <<" ncols="<<NBcol<<" nrows="<<NBline;
  if(lp>0) os<<" NRead="<<NFitsRead;
@@ -971,19 +898,13 @@
   \param collabel : label of the column to be read
   \param ihdu : number of the HDU where the column is.
-  \param blen : read buffer length
-  \param bsens : buffer reading direction
   \param lp : debug level
   \verbatim
   - if ihdu<=0 first BINARY or ASCII table is taken
   - if ihdu>nhdu ihdu is set to nhdu
-  - bsens>0    read forward
-    bsens<0    read backward
-    bsens==0   read centered
   \endverbatim
   \warning ihdu = [1,nhdu]
 */
-FitsABTColRead::FitsABTColRead(string fname,string collabel
-                              ,int ihdu,long blen,long bsens,int lp)
-: FitsABTColRd(new FitsOpenFile(fname),collabel,ihdu,blen,bsens,lp)
+FitsABTColRead::FitsABTColRead(string fname,string collabel,int ihdu,int lp)
+: FitsABTColRd(new FitsOpenFile(fname),collabel,ihdu,lp)
 {
 }
@@ -995,21 +916,18 @@
   \warning col = [0,ncol[
 */
-FitsABTColRead::FitsABTColRead(string fname,int colnum
-                              ,int ihdu,long blen,long bsens,int lp)
-: FitsABTColRd(new FitsOpenFile(fname),colnum,ihdu,blen,bsens,lp)
+FitsABTColRead::FitsABTColRead(string fname,int colnum,int ihdu,int lp)
+: FitsABTColRd(new FitsOpenFile(fname),colnum,ihdu,lp)
 {
 }
 
 /*! Constructor. see below */
-FitsABTColRead::FitsABTColRead(const char * cfname,const char* collabel
-                              ,int ihdu,long blen,long bsens,int lp)
-: FitsABTColRd(new FitsOpenFile(cfname),collabel,ihdu,blen,bsens,lp)
+FitsABTColRead::FitsABTColRead(const char * cfname,const char* collabel,int ihdu,int lp)
+: FitsABTColRd(new FitsOpenFile(cfname),collabel,ihdu,lp)
 {
 }
 
 /*! Constructor. see below */
-FitsABTColRead::FitsABTColRead(const char * cfname,int colnum
-                              ,int ihdu,long blen,long bsens,int lp)
-: FitsABTColRd(new FitsOpenFile(cfname),colnum,ihdu,blen,bsens,lp)
+FitsABTColRead::FitsABTColRead(const char * cfname,int colnum,int ihdu,int lp)
+: FitsABTColRd(new FitsOpenFile(cfname),colnum,ihdu,lp)
 {
 }
@@ -1026,7 +944,5 @@
  // FitsABTColRead ferme le fichier FITS: il faut dupliquer le FitsOpenFile
  FitsOpenFile* fof = new FitsOpenFile(*fbt.GetFitsOpenFile());
- Init(fof,fbt.GetColLabel().c_str()
-     ,fbt.GetColNum(),fbt.HDU()
-     ,fbt.GetBLen(),fbt.GetBSens(),fbt.DbgLevel);
+ Init(fof,fbt.GetColLabel().c_str(),fbt.GetColNum(),fbt.HDU(),fbt.DbgLevel);
 }
 
@@ -1239,9 +1155,4 @@
   \return value in double
   \param n : number of the row to be read.
-  \verbatim
-  usebuffer == true  : use read optimisation with bufferisation
-            == false : no optimisation with bufferisation
-                       just read one value
-  \endverbatim
 */
 double FitsABTColRd1F::Read(int ColNum,LONGLONG n,long nfirstel)
@@ -1269,4 +1180,27 @@
 
 /*!
+  Read row "n" element "nfirstel" and return a long long int
+*/
+int_8 FitsABTColRd1F::ReadLL(int ColNum,LONGLONG n,long nfirstel)
+{
+ int sta=0;
+ if(ColNum<0 || ColNum>=NBcol)
+   throw RangeCheckError("FitsABTColRd1F::ReadLL try to read outside column range\n");
+ if(n<0 || n>=NBline)
+   throw RangeCheckError("FitsABTColRd1F::ReadLL try to read outside line range\n");
+ if(nfirstel<0 || nfirstel>=ColRepeat[ColNum])
+   throw RangeCheckError("FitsABTColRd1F::ReadLL try to read outside element range: nfirstel>repeat\n");
+
+ int_8 val;
+ fits_read_col(GetFitsPtr(),TLONGLONG,ColNum+1,n+1,nfirstel+1,1,NULL,&val,NULL,&sta);
+ if(sta) {
+   FitsOpenFile::printerror(sta);
+   throw NotAvailableOperation("FitsABTColRd1F::ReadLL: Error Reading Fits file\n");
+ }
+ return val;
+}
+
+
+/*!
   Read row "n" element "nfirstel" and return a complex value
 */
@@ -1311,5 +1245,4 @@
    throw NotAvailableOperation("FitsABTColRd::ReadInStr: Error Reading Fits file\n");
  }
-
  return StrBuff[ColNum];
 }
Index: trunk/SophyaExt/FitsIOServer/fabtcolread.h
===================================================================
--- trunk/SophyaExt/FitsIOServer/fabtcolread.h	(revision 4025)
+++ trunk/SophyaExt/FitsIOServer/fabtcolread.h	(revision 4029)
@@ -68,13 +68,9 @@
 class FitsABTColRd : public AnyDataObj {
 public:
-  FitsABTColRd(FitsOpenFile* fof,string collabel,int ihdu=0
-              ,long blen=100,long bsens=1,int lp=0);
-  FitsABTColRd(FitsOpenFile* fof,int colnum,int ihdu=0
-              ,long blen=100,long bsens=1,int lp=0);
+  FitsABTColRd(FitsOpenFile* fof,string collabel,int ihdu=0,int lp=0);
+  FitsABTColRd(FitsOpenFile* fof,int colnum,int ihdu=0,int lp=0);
   FitsABTColRd(FitsABTColRd& fbt);
   FitsABTColRd();
   virtual ~FitsABTColRd();
-
-  void ChangeBuffer(long blen=100,long bsens=1);
 
   double    ReadKey(const char *keyname);
@@ -83,6 +79,6 @@
   string    ReadKeyS(const char *keyname);
 
-  double Read(LONGLONG n,long nfirstel,bool usebuffer=true);
-  inline double Read(LONGLONG n,bool usebuffer=true) {return Read(n,0,usebuffer);}
+  double Read(LONGLONG n,long nfirstel=0);
+  int_8  ReadLL(LONGLONG n,long nfirstel=0);
   complex<r_8> ReadComplex(LONGLONG n,long nfirstel=0);
   char* ReadInStr(LONGLONG n,long nfirstel=0);
@@ -95,9 +91,9 @@
 
   //! return the value of the first row
-  double ReadFirstRow(long nfirstel,bool usebuffer=false) {return Read(0,nfirstel,usebuffer);}
-  double ReadFirstRow(bool usebuffer=false) {return Read(0,usebuffer);}
+  double ReadFirstRow(long nfirstel) {return Read(0,nfirstel);}
+  double ReadFirstRow(void) {return Read(0);}
   //! return the value of the last row
-  double ReadLastRow(long nfirstel,bool usebuffer=false) {return Read(NBline-1,nfirstel,usebuffer);}
-  double ReadLastRow(bool usebuffer=false) {return Read(NBline-1,usebuffer);}
+  double ReadLastRow(long nfirstel) {return Read(NBline-1,nfirstel);}
+  double ReadLastRow(void) {return Read(NBline-1);}
 
   LONGLONG FirstRow(long nfirstel,double val1,double val2,LONGLONG rowstart=-1);
@@ -144,20 +140,11 @@
   //! Get the columns fits repeat that is read
   inline long GetColRepeat(void) const {return ColRepeat;}
-  //! Get the read requested buffer length
-  inline long GetBLen(void) const {return BuffLen;}
-  //! Get the read buffer direction
-  inline long GetBSens(void) const {return BuffSens;}
   //! Print to os
   virtual void Print(ostream& os,int lp=1) const;
   //! Print to stdout
   inline  void Print(int lp=1) const {Print(cout,lp);}
-  //! Get the read effective buffer length
-  inline long GetNBuffer(void) const {return NBuffer;}
-  //! Get the read bufferpointer
-  inline double* GetBuffer(void) {return Buffer;}
 
 protected:
-  void Init(FitsOpenFile* fof,const char *collabel,int colnum
-           ,int ihdu,long blen,long bsens,int lp);
+  void Init(FitsOpenFile* fof,const char *collabel,int colnum,int ihdu,int lp);
   void Delete(void);
 
@@ -170,11 +157,7 @@
   double NulVal;
   unsigned short DbgLevel;
-  long BuffLen, BuffSens;
 
   LONGLONG NFitsRead;
   FitsOpenFile* FitsOF;
-  LONGLONG LineDeb, LineFin;
-  double *Buffer;
-  long NBuffer;
 };
 
@@ -183,12 +166,8 @@
 class FitsABTColRead : public FitsABTColRd {
 public:
-  FitsABTColRead(string fname,string collabel,int ihdu=0
-                ,long blen=100,long bsens=1,int lp=0);
-  FitsABTColRead(string fname,int colnum,int ihdu=0
-                ,long blen=100,long bsens=1,int lp=0);
-  FitsABTColRead(const char *cfname,const char *collabel,int ihdu=0
-                ,long blen=100,long bsens=1,int lp=0);
-  FitsABTColRead(const char *cfname,int colnum,int ihdu=0
-                ,long blen=100,long bsens=1,int lp=0);
+  FitsABTColRead(string fname,string collabel,int ihdu=0,int lp=0);
+  FitsABTColRead(string fname,int colnum,int ihdu=0,int lp=0);
+  FitsABTColRead(const char *cfname,const char *collabel,int ihdu=0,int lp=0);
+  FitsABTColRead(const char *cfname,int colnum,int ihdu=0,int lp=0);
   FitsABTColRead(FitsABTColRead& fbt);
   FitsABTColRead();
@@ -198,5 +177,5 @@
 
 ///////////////////////////////////////////////////////////////////
-//! Class for reading ALL the columns in a FITS ASCII or BINARY table (no bufferisation)
+//! Class for reading ALL the columns in a FITS ASCII or BINARY table
 class FitsABTColRd1F : public AnyDataObj {
 public:
@@ -209,6 +188,6 @@
   string    ReadKeyS(const char *keyname);
 
-  double Read(int ColNum,LONGLONG n,long nfirstel);
-  inline double Read(int ColNum,LONGLONG n) {return Read(ColNum,n,0);}
+  double Read(int ColNum,LONGLONG n,long nfirstel=0);
+  int_8  ReadLL(int ColNum,LONGLONG n,long nfirstel=0);
   complex<r_8> ReadComplex(int ColNum,LONGLONG n,long nfirstel=0);
   char* ReadInStr(int ColNum,LONGLONG n,long nfirstel=0);
@@ -258,5 +237,4 @@
   //! Print to stdout
   inline  void Print(int lp=1) const {Print(cout,lp);}
-  //! Get the read effective buffer length
 
 protected:
Index: trunk/SophyaExt/FitsIOServer/fboloread.cc
===================================================================
--- trunk/SophyaExt/FitsIOServer/fboloread.cc	(revision 4025)
+++ trunk/SophyaExt/FitsIOServer/fboloread.cc	(revision 4029)
@@ -15,5 +15,5 @@
   \verbatim
   -- Exemple:
-  FitsBoloRead fbr(blen,bsens);
+  FitsBoloRead fbr;
   fbr.SetDebug(2);
 
@@ -58,14 +58,7 @@
 /*!
   Constructor. Define the structure of the bolometer columns connector.
-  \param blen : read buffer length
-  \param bsens : buffer reading direction
-  \verbatim
-  - bsens>0    read forward
-    bsens<0    read backward
-    bsens==0   read centered
-  \endverbatim
-*/
-FitsBoloRead::FitsBoloRead(long blen,long bsens)
-  : NBline(0), DbgLevel(0), BuffLen(blen), BuffSens(bsens)
+*/
+FitsBoloRead::FitsBoloRead(void)
+  : NBline(0), DbgLevel(0)
 {
   for(int i=0;i<_NCOL_BOLO_MIN_;i++) {
@@ -144,6 +137,5 @@
 
  mFABT[col] =
-   new FitsABTColRead(mFName[col].c_str(),mLabel[col].c_str()
-                     ,mHDU[col],BuffLen,BuffSens,(int)DbgLevel);
+   new FitsABTColRead(mFName[col].c_str(),mLabel[col].c_str(),mHDU[col],(int)DbgLevel);
 
  // Set the number of rows as the smallest of for connected columns
Index: trunk/SophyaExt/FitsIOServer/fboloread.h
===================================================================
--- trunk/SophyaExt/FitsIOServer/fboloread.h	(revision 4025)
+++ trunk/SophyaExt/FitsIOServer/fboloread.h	(revision 4029)
@@ -26,5 +26,5 @@
   enum {ColSNum=0, ColBolo=1, ColFlag=2, ColAlpha=3, ColDelta=4};
 
-  FitsBoloRead(long blen=100,long bsens=1);
+  FitsBoloRead(void);
   virtual ~FitsBoloRead();
 
@@ -49,25 +49,24 @@
 
   //! return Alpha value for row "n" into double
-  inline double GetAlpha(LONGLONG n,bool usebuffer=true)
-                {return GetCol(ColAlpha,n,usebuffer);}
+  inline double GetAlpha(LONGLONG n)
+                {return GetCol(ColAlpha,n);}
   //! return Delta value for row "n" into double
-  inline double GetDelta(LONGLONG n,bool usebuffer=true)
-                {return GetCol(ColDelta,n,usebuffer);}
+  inline double GetDelta(LONGLONG n)
+                {return GetCol(ColDelta,n);}
   //! return Bolo value for row "n" into double
-  inline double GetBolo(LONGLONG n,bool usebuffer=true)
-                {return GetCol(ColBolo,n,usebuffer);}
+  inline double GetBolo(LONGLONG n)
+                {return GetCol(ColBolo,n);}
   //! return Flag value for row "n" into double
-  inline double GetFlag(LONGLONG n,bool usebuffer=true)
-         {if(!IsFlag()) return 0.; return GetCol(ColFlag,n,usebuffer);}
+  inline double GetFlag(LONGLONG n)
+         {if(!IsFlag()) return 0.; return GetCol(ColFlag,n);}
   //! return SNum value for row "n" into double
-  inline double GetSNum(LONGLONG n,bool usebuffer=true)
-                {return GetCol(ColSNum,n,usebuffer);}
+  inline double GetSNum(LONGLONG n) {return GetCol(ColSNum,n);}
   //! return column "col" value for row "n" into double
-  inline double GetCol(int col,LONGLONG n,bool usebuffer=true) {
+  inline double GetCol(int col,LONGLONG n) {
     if(col<0 || col>=(int)mFABT.size())
       throw ParmError("FitsBoloRead::GetCol: bad column number\n");
     if(mFABT[col]==NULL)
       throw NullPtrError("FitsBoloRead::GetCol: column not connected\n");
-    return mFABT[col]->Read(n,usebuffer);
+    return mFABT[col]->Read(n);
   }
 
@@ -127,7 +126,7 @@
 
   //! return the value of the first sampleNum
-  inline double ReadFirstSNum(void) {return GetSNum(0,false);}
+  inline double ReadFirstSNum(void) {return GetSNum(0);}
   //! return the value of the last sampleNum
-  inline double ReadLastSNum(void)  {return GetSNum(NBline-1,false);}
+  inline double ReadLastSNum(void)  {return GetSNum(NBline-1);}
 
   //! Is Alpha connected ?
@@ -152,9 +151,5 @@
   //! Get the number of columns in the FITS HDU to be read
   inline int  GetNbCol(void) const {return mFABT.size();}
-  //! Get the read requested buffer length
-  inline long GetBLen(void) const {return BuffLen;}
-  //! Get the read buffer direction
-  inline long GetBSens(void) const {return BuffSens;}
-  //! Print to os
+ //! Print to os
   virtual void Print(ostream& os,int lp=1) const;
   //! Print to stdout