Index: /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex
===================================================================
--- /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex	(revision 4030)
+++ /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex	(revision 4031)
@@ -274,5 +274,5 @@
 is the source velocity dispersion.  
 {\changemark The 1 MHz bandwidth mentioned above is only used for computing the
-galaxy detection thresholds and does not determine the total survey bandwidth or frequency resolution
+galaxy detection thresholds and does not determine the total bandwidth or frequency resolution
 of an intensity mapping survey.}
 % {\color{red} Faut-il developper le calcul en annexe ? } 
@@ -287,4 +287,6 @@
 Intensity mapping has been suggested as an alternative and economic method to map the 
 3D distribution of neutral hydrogen by \citep{chang.08} and further studied by \citep{ansari.08} \citep{seo.10}. 
+{\changemark There have even tentatives to detect the 21 cm LSS signal at GBT 
+\citep{chang.10} and at GMRT \citep{ghosh.11}}.
 In this approach, sky brightness map with angular resolution $\sim 10-30 \, \mathrm{arc.min}$ is made for a 
 wide range of frequencies. Each 3D pixel  (2 angles $\vec{\Theta}$, frequency $\nu$ or wavelength $\lambda$)  
@@ -409,7 +411,7 @@
 galaxy surveys, for example by SDSS and 2dF at low redshift $z \lesssim 0.3$
 (\cite{cole.05}, \cite{tegmark.04}). The 21 cm brightness power spectra $P_{T_{21}}(k)$
-shown here are comparable to one from the galaxy surveys, once the mean 21 cm 
-temperature conversion factor $\left( \bar{T}_{21}(z)  \right)^2$ and redshift evolution 
-have been accounted for. }
+shown here are comparable to the power spectrum measured from the galaxy surveys, 
+once the mean 21 cm temperature conversion factor $\left( \bar{T}_{21}(z)  \right)^2$,
+redshift evolution and different bias factors have been accounted for. }
 % It should be noted that the maximum transverse $k^{comov} $ sensitivity range 
 % for an instrument corresponds approximately to half of its angular resolution. 
@@ -555,7 +557,7 @@
 
 {\changemark Detection of the reionisation at 21 cm band has been an active field 
-in the last decade and several groups 
-(\cite{rottgering.06}, \cite{bowman.07}, \cite{lonsdale.09}, \cite{parsons.09})  have built 
-instruments to detect reionisation signal around 100 MHz. 
+in the last decade and different groups have built 
+instruments to detect reionisation signal around 100 MHz: LOFAR
+\citep{rottgering.06}, MWA (\cite{bowman.07}, \cite{lonsdale.09}) and PAPER \citep{parsons.09} . 
 Several authors have studied the instrumental noise 
 and statistical uncertainties when measuring the reionisation signal power spectrum;
@@ -733,6 +735,8 @@
 }
 \vspace*{-40mm}
-\caption{Minimal noise level for a 100 beams instrument with \mbox{$\Tsys=50 \mathrm{K}$} 
-as a function of redshift (top).  Maximum $k$ value for  a 100 meter diameter primary antenna (bottom) }
+\caption{Top: minimal noise level for a 100 beams instrument with \mbox{$\Tsys=50 \mathrm{K}$} 
+as a function of redshift (top), for a one year survey of a quarter of the sky. Bottom:
+maximum $k$ value for 21 cm LSS power spectrum measurement by  a 100 meter diameter 
+primary antenna (bottom) }
 \label{pnkmaxfz}
 \end{figure}
@@ -755,6 +759,6 @@
 the small angular extent, we have neglected the curvature of redshift shells. 
 \item For each redshift shell $z(\nu)$, we compute a Gaussian noise realization. $(k_x,k_y)$ is 
-converted to the $\uv$ coordinates using the equation \ref{eq:uvkxky}, and the 
-angular diameter distance $\dang(z)$ for \LCDM model with WMAP parameters. 
+converted to the $(\uv)$ angular frequency coordinates using the equation \ref{eq:uvkxky}, and the 
+angular diameter distance $\dang(z)$ for \LCDM model with standard WMAP parameters \citep{komatsu.11}. 
 The noise variance is taken proportional to $P_{noise}$ :
 \begin{equation}
@@ -771,10 +775,10 @@
 However, we require to have a significant fraction, typically 20\% to 50\% of the possible modes 
 $(k_x,k_y,k_z)$ measured for a given $k$ value. 
-\item the above steps are repeated a number of time to decrease the statistical fluctuations 
-due to the random generations. The averaged computed noise power spectrum is normalized using 
+\item the above steps are repeated $\sim$ 50 times to decrease the statistical fluctuations 
+from random generations. The averaged computed noise power spectrum is normalized using 
 equation \ref{eq:pnoisekxkz}  and the instrument and survey parameters ($\Tsys \ldots$).
 \end{itemize} 
 
-It should be noted that it is possible to obtain a  good approximation of noise 
+It should be noted that it is possible to obtain a  good approximation of the noise 
 power spectrum shape, neglecting the redshift or frequency dependence of the 
 instrument response function and $\dang(z)$ for a small redshift interval around $z_0$,
@@ -782,5 +786,5 @@
 a constant the radial distance $\dang(z_0)*(1+z_0)$. 
 \begin{equation}
-\tilde{P}_{noise}(k) = < | n(k_x,k_y,k_z) |^2 > \simeq < P_{noise}(u,v) , k_z > 
+\tilde{P}_{noise}(k) = < | n(k_x,k_y,k_z) |^2 > \simeq < P_{noise}(u,v, k_z) > 
 \end{equation}
 The approximate power spectrum obtain through this simplified and much faster 
@@ -861,5 +865,5 @@
 equal to $\eta_x = 0.9$ in the direction of the cylinder width, and $\eta_y = 0.8$ 
 along the cylinder length. {\changemark  We have used double triangular shaped
-response function in the $(\uv)$ for each of the receiver elements along the cylinder:
+response function in the $(\uv)$ plane for each of the receiver elements along the cylinder:
 \begin{equation}
  {\cal L}_\Box(\uv,\lambda)  = 
@@ -880,5 +884,5 @@
 
 {\changemark Using the numerical method sketched in section \ref{pnoisemeth}, we have 
-computed the 3D noise power spectrum for each of the eight instrument configurations discussed
+computed the 3D noise power spectrum for each of the eight instrument configurations presented
 here, with a system noise temperature $\Tsys = 50 \mathrm{K}$, for a one year survey 
 of a quarter of sky $\Omega_{tot} = \pi \, \mathrm{srad}$ at a mean redshift $z_0=1, \nu_0=710 \mathrm{MHz}$.}
@@ -912,6 +916,8 @@
 }
 \vspace*{-20mm}
-\caption{P(k) LSS power  and noise power spectrum for several interferometer 
-configurations ((a),(b),(c),(d),(e),(f),(g)) with 121, 128, 129, 400 and 960 receivers.}
+\caption{P(k) 21 cm LSS power spectrum at redshift $z=1$ and noise power spectrum for several interferometer 
+configurations ((a),(b),(c),(d),(e),(f),(g)) with 121, 128, 129, 400 and 960 receivers. The noise power spectrum has been 
+computed for all configurations assuming a survey of a quarter of the sky over one year, 
+with a system temperature $\Tsys = 50 \mathrm{K}$. }
 \label{figpnoisea2g}
 \end{figure*}
@@ -929,17 +935,19 @@
 emissions can be used to separate the faint LSS signal from the Galactic and radio source 
 emissions. {\changemark Discussion of contribution of different sources 
-to foregrounds for measurement of reionization through redshifted 21 cm,
+of radio foregrounds for measurement of reionization through redshifted 21 cm,
 as well foreground subtraction using their smooth frequency dependence can 
-be found in (\cite{shaver.99}, \cite{matteo.02},\cite{oh.03}) }
+be found in (\cite{shaver.99}, \cite{matteo.02},\cite{oh.03}).}
 However, any real radio instrument has a beam shape which changes with 
 frequency: this instrumental effect significantly increases the difficulty and complexity of this component separation 
 technique. The effect of frequency dependent beam shape is some time referred to as {\em 
-mode mixing}.  {\changemark Effect of frequency dependent beam shape for foreground subtraction and 
-its application to MWA has been discussed in \citep{morales.06}  \citep{bowman.09}.} 
+mode mixing}.  {\changemark Effect of the frequency dependent beam shape on foreground subtraction 
+has been discussed for example in \cite{morales.06}.}
 
 In this section, we present a short description of the foreground emissions and 
 the simple models we have used for computing the sky radio emissions in the GHz frequency 
 range. We present also a simple component separation method to extract the LSS signal and 
-its performance. We show in particular the effect of the instrument response on the recovered 
+its performance. {\changemark The analysis presented here follow a similar path to 
+a detailed foreground subtraction study carried for MWA at $\sim$ 150 MHz by \cite{bowman.09}. } 
+We compute in particular the effect of the instrument response on the recovered 
 power spectrum. The results presented in this section concern the 
 total sky emission and the LSS 21 cm signal extraction in the $z \sim 0.6$ redshift range,
@@ -1003,5 +1011,5 @@
 deviation $\sigma_\beta = 0.15$. {\changemark The 
 diffuse radio background spectral index has been measured  for example by 
-\citep{platania.98} or \cite{rogers.08} }
+\citep{platania.98} or \cite{rogers.08}.}
 The synchrotron contribution to the sky temperature for each cell is then 
 obtained  through the formula:
@@ -1103,5 +1111,7 @@
 compared to Model-I/GSM, and the frequency variations as a simple power law
 might not be realistic enough. The differences for the two sky models can be seen
-in their power spectra shown in figure  \ref{pkgsmlss}. We hope that by using 
+in their power spectra shown in figure \ref{pkgsmlss}. The smoothing or convolution with 
+a 25' beam has negligible effect of the GSM power spectrum, as it originally lacks 
+structures below 0.5 degree. We hope that by using 
 these two models, we have explored some of the systematic uncertainties 
 related to foreground subtraction.}
@@ -1161,5 +1171,5 @@
 The {\it observed} data cube is obtained from the sky brightness temperature 3D map 
 $T_{sky}(\alpha, \delta, \nu)$ by applying the frequency or wavelength dependent instrument response
-${\cal R}(u,v,\lambda)$. 
+${\cal R}(\uv,\lambda)$. 
 We have considered the simple case where  the instrument response is constant throughout the survey area, or independent 
 of the sky direction.
@@ -1167,14 +1177,16 @@
 \begin{enumerate}
 \item Apply a 2D Fourier transform to compute sky angular Fourier amplitudes
-$$ T_{sky}(\alpha, \delta, \lambda_k) \rightarrow \mathrm{2D-FFT} \rightarrow {\cal T}_{sky}(u, v, \lambda_k)$$ 
+$$ T_{sky}(\alpha, \delta, \lambda_k) \rightarrow \mathrm{2D-FFT} \rightarrow {\cal T}_{sky}(\uv, \lambda_k)$$ 
 \item Apply instrument response in the angular wave mode plane. We use here the normalized instrument response
-$ {\cal R}(u,v,\lambda_k)  \lesssim 1$. 
-$$  {\cal T}_{sky}(u, v, \lambda_k)  \longrightarrow {\cal T}_{sky}(u, v, \lambda_k) \times {\cal R}(u,v,\lambda_k) $$
+$ {\cal R}(\uv,\lambda_k)  \lesssim 1$. 
+$$  {\cal T}_{sky}(\uv, \lambda_k)  \longrightarrow {\cal T}_{sky}(u, v, \lambda_k) \times {\cal R}(u,v,\lambda_k) $$
 \item Apply inverse 2D Fourier transform to compute the measured sky brightness temperature map, 
 without instrumental (electronic/$\Tsys$) white noise:
-$$ {\cal T}_{sky}(u, v, \lambda_k) \times {\cal R}(u,v,\lambda)   
+$$ {\cal T}_{sky}(u, v, \lambda_k) \times {\cal R}(\uv,\lambda)   
 \rightarrow \mathrm{Inv-2D-FFT} \rightarrow T_{mes1}(\alpha, \delta, \lambda_k) $$ 
 \item Add white noise (gaussian fluctuations) to the pixel map temperatures to obtain 
 the measured sky brightness temperature $T_{mes}(\alpha, \delta, \nu_k)$. 
+{\changemark The white noise hypothesis is reasonable at this level, as $(\uv)$ 
+dependent instrument response has already been applied.} 
 We have also considered that the system temperature and thus the 
 additive white noise level was independent of the frequency or wavelength.   
@@ -1189,12 +1201,18 @@
 \begin{enumerate}
 \item The measured sky brightness temperature is first {\em corrected} for the frequency dependent 
-beam effects through a convolution by a fiducial frequency independent beam. This {\em correction}
-corresponds to a smearing or degradation of the angular resolution. We assume 
-that we have a perfect knowledge of the intrinsic instrument response, up to a threshold numerical level 
-of about $ \gtrsim 1 \%$ for  ${\cal R}(u,v,\lambda)$. We recall that this is the normalized instrument response,
-${\cal R}(u,v,\lambda) \lesssim 1$. 
-$$  T_{mes}(\alpha, \delta, \nu) \longrightarrow T_{mes}^{bcor}(\alpha,\delta,\nu) $$ 
-The virtual target instrument has a beam width larger than the worst real instrument beam,
-i.e at the lowest observed frequency.  
+beam effects through a convolution by a fiducial frequency independent beam ${\cal R}_f(\uv)$ This {\em correction}
+corresponds to a smearing or degradation of the angular resolution.
+\begin{eqnarray*} 
+ {\cal T}_{mes}(u, v, \lambda_k) & \rightarrow & {\cal T}_{mes}^{bcor}(u, v, \lambda_k) \\  
+ {\cal T}_{mes}^{bcor}(u, v, \lambda_k)  & = & 
+{\cal T}_{mes}(u, v, \lambda_k) \times \sqrt{ \frac{{\cal R}_f(\uv)}{{\cal R}(\uv,\lambda)} } \\
+{\cal T}_{mes}^{bcor}(u, v, \lambda_k)  & \rightarrow & \mathrm{2D-FFT} \rightarrow  T_{mes}^{bcor}(\alpha,\delta,\lambda) 
+\end{eqnarray*}
+{\changemark 
+The virtual target beam ${\cal R}_f(\uv)$  has a lower resolution than the worst real instrument beam,
+i.e at the lowest observed frequency.  We assume that the intrinsic instrument response is known up to a threshold 
+numerical level of about $ \gtrsim 1 \%$ for  ${\cal R}(u,v,\lambda)$. We recall that this is the normalized instrument response,
+${\cal R}(\uv\lambda) \lesssim 1$. The correction factor ${\cal R}_f(\uv) / {\cal R}(\uv,\lambda)$  has also a numerical upper 
+bound around $\sim$100. }
 \item For each sky direction $(\alpha, \delta)$, a power law $T = T_0 \left( \frac{\nu}{\nu_0} \right)^b$
  is fitted to the beam-corrected brightness temperature. The fit is done through a linear $\chi^2$ fit in 
@@ -1209,10 +1227,11 @@
 
 {\changemark Interferometers have poor response at small $(\uv)$ corresponding to baselines 
-smaller than interferometer element size. The $(0,0)$ mode, corresponding the mean temperature 
-can not be measured with an interferometer. We have used a simple trick to make the power law
-fitting procedure to work: we have set the mean value of the temperature for 
-each frequency plane to a power law with an index close to the synchrotron index
-and we have checked that results are not too sensitive to the arbitrarily fixed mean temperature 
-power law parameters. } 
+smaller than interferometer element size. The zero spacing baseline, the $(\uv)=(0,0)$ mode,  represents 
+the mean temperature for a given frequency plane and can not be measured with interferometers. 
+We have used a simple trick to make the power law fitting procedure applicable: 
+we have set the mean value of the temperature for 
+each frequency plane according to a power law with an index close to the synchrotron index 
+($\beta\sim-2.8$) and we have checked that results are not too sensitive to the 
+arbitrarily fixed mean temperature power law parameters. } 
 
 \item The difference between the beam-corrected sky temperature and the fitted power law
@@ -1232,7 +1251,7 @@
 with the recovered 21 cm map, after subtraction of the radio continuum component. It can be seen that structures 
 present in the original map have been correctly recovered, although the amplitude of the temperature 
-fluctuations on the recovered map is significantly smaller (factor $\sim 5$) than in the original map. This is mostly 
-due to the damping of the large scale ($k \lesssim 0.04 h \mathrm{Mpc^{-1}} $) due the poor interferometer 
-response at large angle    ($\theta \gtrsim 4^\circ $). 
+fluctuations on the recovered map is significantly smaller (factor $\sim 5$) than in the original map. 
+{\changemark This is mostly due to the damping of the large scale ($k \lesssim 0.1 h \mathrm{Mpc^{-1}} $) 
+due to the foreground subtraction procedure (see figure \ref{extlssratio}).}
 
 We have shown that it should be possible to measure the red shifted 21 cm emission fluctuations in the 
@@ -1299,18 +1318,22 @@
 
 Figure \ref{extlssratio} shows this overall transfer function for the simulations and component 
-separation performed here, around $z \sim 0.6$, for the instrumental setup (a), a filled array of 121 $D_{dish}=5$ m dishes.
-The orange/yellow curve shows the ratio $P_{21}^{smoothed}(k)/P_{21}(k)$ of the computed to the original 
-power spectrum, if the original LSS temperature cube is smoothed by the frequency independent target beam 
-FWHM=30' for the GSM simulations (left), 36' for Model-II (right). This orange/yellow 
-curve shows the damping effect due to the finite instrument size at small scales ($k \gtrsim 0.1 \, h \, \mathrm{Mpc^{-1}}, \theta \lesssim 1^\circ$).  
-The recovered power spectrum suffers also significant damping at large scales $k \lesssim 0.05 \, h \, \mathrm{Mpc^{-1}}, $ due to poor interferometer 
-response at large angles ($ \theta \gtrsim 4^\circ-5^\circ$), as well as to the filtering of radial or longitudinal Fourier modes along 
-the frequency or redshift direction ($k_\parallel$) by the component separation algorithm. 
-The red curve shows the ratio of $P(k)$ computed on the recovered or extracted 21 cm LSS signal, to the original 
-LSS temperature cube $P_{21}^{rec}(k)/P_{21}(k)$ and corresponds to the transfer function $\TrF(k)$ defined above, 
-for $z=0.6$ and instrument setup (a). 
-The black (thin line) curve shows the ratio of recovered to the smoothed 
-power spectrum $P_{21}^{rec}(k)/P_{21}^{smoothed}(k)$. This latter ratio (black curve) exceeds one for $k \gtrsim 0.2$, which is 
-due to the noise or system temperature. It should be stressed that the simulations presented in this section were 
+separation performed here, around $z \sim 0.6$, for the instrumental setup (a), a filled array of 121 $D_{dish}=5$ m dishes. {\changemark This transfer function has been obtained after averaging the reconstructed  
+$ P_{21}^{rec}(k)$ for several realizations (50) of the LSS temperature field.
+The black curve shows the ratio $\TrF(k)=P_{21}^{beam}(k)/P_{21}(k)$ of the computed to the original 
+power spectrum, if the original LSS temperature cube is smoothed by the frequency independent 
+target beam FWHM=30'. This black curve shows the damping effect due to the finite instrument size at 
+small scales ($k \gtrsim 0.1 \, h \, \mathrm{Mpc^{-1}}, \theta \lesssim 1^\circ$).  
+The red curve shows the transfer function for the GSM foreground model (Model-I) and  the $11\times11$ filled array 
+interferometer (setup (a)), while the dashed red curve represents the transfer function for a D=55 meter 
+diameter dish. The transfer function for the Model-II/Haslam+NVSS and the setup (a) filled interferometer 
+array is also shown (orange curve). The recovered power spectrum suffers also significant damping at large 
+scales $k \lesssim 0.05 \, h \, \mathrm{Mpc^{-1}}, $, mostly due to the filtering of radial or 
+longitudinal Fourier modes along the frequency or redshift direction ($k_\parallel$) 
+by the component separation algorithm. We have been able to remove the ripples on the reconstructed 
+power spectrum due to bright sources in the Model-II by applying a stronger beam correction, $\sim$37' 
+target beam resolution, compared to $\sim$30' for the GSM model. This explains the lower transfer function
+obtained for Model-II at small scales ($k \gtrsim 0.1 \, h \, \mathrm{Mpc^{-1}}$). }
+
+ It should be stressed that the simulations presented in this section were 
 focused on the study of the radio foreground effects and have been carried intently with a very low instrumental noise level of 
 $0.25$ mK per pixel, corresponding to several years of continuous observations ($\sim 10$ hours per $3' \times 3'$ pixel).
@@ -1351,18 +1374,4 @@
 \end{table}
 
-\begin{figure*}
-\centering
-\vspace*{-30mm}
-\mbox{
-\hspace*{-20mm}
-\includegraphics[width=1.15\textwidth]{Figs/extlssratio.pdf}
-}
-\vspace*{-35mm}
-\caption{Ratio of the reconstructed or extracted 21cm power spectrum, after foreground removal, to the initial 21 cm power spectrum, $\TrF(k) = P_{21}^{rec}(k) / P_{21}(k) $, at $z \sim 0.6$,  for the instrument configuration (a), $11\times11$ packed array interferometer.
-Left: GSM/Model-I , right: Haslam+NVSS/Model-II.  }
-\label{extlssratio}
-\end{figure*}
-
-
 \begin{figure}
 \centering
@@ -1370,5 +1379,21 @@
 \mbox{
 \hspace*{-10mm}
-\includegraphics[width=0.55\textwidth]{Figs/tfpkz0525.pdf}
+\includegraphics[width=0.6\textwidth]{Figs/extlssratio.pdf}
+}
+\vspace*{-30mm}
+\caption{Ratio of the reconstructed or extracted 21cm power spectrum, after foreground removal, to the initial 21 cm power spectrum, $\TrF(k) = P_{21}^{rec}(k) / P_{21}(k) $ (transfer function), at $z \sim 0.6$.  for the instrument configuration (a), $11\times11$ packed array interferometer. The effect of perfect gaussian beam of $\sim 30'$ is shown in black.
+The transfer function $\TrF(k)$  for the instrument configuration (a), $11\times11$ packed array interferometer,
+for the GSM/Model-I is shown in red, and in orange for Haslam+NVSS/Model-II. The transfer function 
+for a D=55 meter diameter dish for the GSM model is also shown as the dashed red curve. }
+\label{extlssratio}
+\end{figure}
+
+
+\begin{figure}
+\centering
+\vspace*{-25mm}
+\mbox{
+\hspace*{-10mm}
+\includegraphics[width=0.6\textwidth]{Figs/tfpkz0525.pdf}
 }
 \vspace*{-30mm}
@@ -1785,5 +1810,8 @@
 
 %  Intensity mapping/HSHS 
-\bibitem[Chang et al. (2008)]{chang.08}  Chang, T.,  Pen, U.-L., Peterson, J.B. \&  McDonald, P. 2008, \prl, 100, 091303
+\bibitem[Chang et al. (2008)]{chang.08}  Chang, T.,  Pen, U.-L., Peterson, J.B. \&  McDonald, P., 2008, \prl, 100, 091303
+
+% Mesure 21 cm avec le GBT (papier Nature )
+\bibitem[Chang et al. (2010)]{chang.10}   Chang T-C, Pen U-L, Bandura K., Peterson  J.B., 2010, \nat, 466, 463-465
 
 % 2dFRS BAO observation 
@@ -1808,4 +1836,8 @@
 %   21 cm emission for mapping matter distribution  
 \bibitem[Furlanetto et al. (2006)]{furlanetto.06} Furlanetto, S., Peng Oh, S. \&  Briggs, F. 2006, \physrep, 433, 181-301
+
+% Mesure 21 cm a 610 MHz par GMRT 
+\bibitem[Ghosh et al. (2011)]{ghosh.11}  Ghosh A., Bharadwaj S., Ali Sk. S., Chengalur  J. N., 2011, \mnras, 411, 2426-2438
+
 
 % Haslam 400 MHz synchrotron map 