Index: /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex
===================================================================
--- /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex	(revision 4031)
+++ /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex	(revision 4032)
@@ -67,4 +67,5 @@
 % Commande pour marquer les changements du papiers pour le referee
 \def\changemark{\bf }
+% \def\changemark{ }
 
 %%% Definition pour la section sur les param DE par C.Y
@@ -140,6 +141,6 @@
 instruments for the observation of large scale structures and BAO oscillations in 21 cm and we discuss the problem of foreground removal. }
   % methods heading (mandatory)
- { For each configuration, we determine instrument response by computing the (u,v) or Fourier angular frequency 
-plane  coverage using visibilities. The (u,v) plane response is the noise power spectrum, 
+ { For each configuration, we determine instrument response by computing the $(\uv)$ or Fourier angular frequency 
+plane  coverage using visibilities. The $(\uv)$ plane response is the noise power spectrum, 
 hence the instrument sensitivity for LSS P(k) measurement. We describe also   a simple foreground subtraction method to 
 separate LSS 21 cm signal from the foreground due to the galactic synchrotron and radio sources emission. }
@@ -287,5 +288,5 @@
 Intensity mapping has been suggested as an alternative and economic method to map the 
 3D distribution of neutral hydrogen by \citep{chang.08} and further studied by \citep{ansari.08} \citep{seo.10}. 
-{\changemark There have even tentatives to detect the 21 cm LSS signal at GBT 
+{\changemark There have been attempts to detect the 21 cm LSS signal at GBT 
 \citep{chang.10} and at GMRT \citep{ghosh.11}}.
 In this approach, sky brightness map with angular resolution $\sim 10-30 \, \mathrm{arc.min}$ is made for a 
@@ -348,5 +349,5 @@
 \subsection{ \HI power spectrum and BAO}
 In the absence of any foreground or background radiation 
-{\changemark and assuming high spin temperature $\kb T_{spin} \gg h \nu_{21}$},
+{\changemark and assuming high spin temperature, $\kb T_{spin} \gg h \nu_{21}$},
 the brightness temperature for a given direction and wavelength $\TTlam$ would be proportional to 
 the local \HI number density $\etaHI(\vec{\Theta},z)$ through the relation:
@@ -541,5 +542,5 @@
 ${\cal R}_b(\uv,\lambda)$. 
 For an interferometer, we can compute a raw instrument response 
-${\cal R}_{raw}(\uv,\lambda)$ which corresponds to $(u,v)$ plane coverage by all 
+${\cal R}_{raw}(\uv,\lambda)$ which corresponds to $(\uv)$ plane coverage by all 
 receiver pairs  with uniform weighting. 
 Obviously, different weighting schemes can be used, changing 
@@ -556,5 +557,5 @@
 in particular in section \ref{recsec}.  
 
-{\changemark Detection of the reionisation at 21 cm band has been an active field 
+{\changemark Detection of the reionisation at 21 cm has been an active field 
 in the last decade and different groups have built 
 instruments to detect reionisation signal around 100 MHz: LOFAR
@@ -636,11 +637,11 @@
 P_{noise}(k_x,k_y, z)  & = & P_{noise}(\uv) 
  \frac{ 8 \pi^3 \delta \uvu \times \delta \uvv }{\delta k_x \times \delta k_y \times \delta k_z} \\
-P_{noise}(k_x,k_y, z) & = &   \left( 2 \, \frac{\Tsys^2}{t_{int} \, \nu_{21} } \, \frac{\lambda^2}{D^2}  \right) 
+                       & = &   \left( 2 \, \frac{\Tsys^2}{t_{int} \, \nu_{21} } \, \frac{\lambda^2}{D^2}  \right) 
    \, \frac{1}{{\cal R}_{raw}} \, \dang^2(z) \frac{c}{H(z)} \, (1+z)^4  
 \label{eq:pnoisekxkz} 
 \end{eqnarray} 
 
-It is worthwhile to notice that the cosmological 3D noise power spectrum does not depend anymore on the 
-individual measurement bandwidth.
+It is worthwhile to note that the ``cosmological'' 3D noise power spectrum does not depend 
+anymore on the individual measurement bandwidth.
 In the following paragraph, we will first consider an ideal instrument 
 with uniform $(\uv)$ coverage
@@ -683,5 +684,5 @@
 
 It is important to note that any real instrument do not have a flat 
-response in the $(u,v)$ plane, and the observations provide no information above 
+response in the $(\uv)$ plane, and the observations provide no information above 
 a certain maximum angular frequency $u_{max},v_{max}$. 
 One has to take into account either a damping of the observed sky power 
@@ -738,5 +739,5 @@
 as a function of redshift (top), for a one year survey of a quarter of the sky. Bottom:
 maximum $k$ value for 21 cm LSS power spectrum measurement by  a 100 meter diameter 
-primary antenna (bottom) }
+primary antenna. }
 \label{pnkmaxfz}
 \end{figure}
@@ -758,6 +759,7 @@
 This correspond to an angular wedge $\sim 25^\circ \times 25^\circ \times (\Delta z \simeq 0.3)$. Given 
 the small angular extent, we have neglected the curvature of redshift shells. 
-\item For each redshift shell $z(\nu)$, we compute a Gaussian noise realization. $(k_x,k_y)$ is 
-converted to the $(\uv)$ angular frequency coordinates using the equation \ref{eq:uvkxky}, and the 
+\item For each redshift shell $z(\nu)$, we compute a Gaussian noise realization. 
+The coordinates $(k_x,k_y)$ are converted to the $(\uv)$ angular frequency coordinates 
+using equation (\ref{eq:uvkxky}), and the 
 angular diameter distance $\dang(z)$ for \LCDM model with standard WMAP parameters \citep{komatsu.11}. 
 The noise variance is taken proportional to $P_{noise}$ :
@@ -766,12 +768,12 @@
 \end{equation}
 \item an FFT is then performed in the frequency or redshift direction to obtain the noise Fourier 
-complex coefficients $n(k_x,k_y,k_z)$ and the power spectrum is estimated as :
-\begin{equation}
-\tilde{P}_{noise}(k) = < | n(k_x,k_y,k_z) |^2 >  \hspace{2mm}  \mathrm{for} \hspace{2mm} 
+complex coefficients ${\cal F}_n(k_x,k_y,k_z)$ and the power spectrum is estimated as :
+\begin{equation}
+\tilde{P}_{noise}(k) = < | {\cal F}_n(k_x,k_y,k_z) |^2 >  \hspace{2mm}  \mathrm{for} \hspace{2mm} 
   \sqrt{k_x^2+k_y^2+k_z^2} = k 
 \end{equation}
 Noise samples corresponding to small instrument response, typically less than 1\% of the 
 maximum instrument response are ignored when calculating  $\tilde{P}_{noise}(k)$. 
-However, we require to have a significant fraction, typically 20\% to 50\% of the possible modes 
+However, we require to have a significant fraction, typically 20\% to 50\% of all possible modes 
 $(k_x,k_y,k_z)$ measured for a given $k$ value. 
 \item the above steps are repeated $\sim$ 50 times to decrease the statistical fluctuations 
@@ -783,10 +785,10 @@
 power spectrum shape, neglecting the redshift or frequency dependence of the 
 instrument response function and $\dang(z)$ for a small redshift interval around $z_0$,
-using a fixed  instrument response ${\cal R}(u,v,\lambda(z_0))$ and 
+using a fixed  instrument response ${\cal R}(\uv,\lambda(z_0))$ and 
 a constant the radial distance $\dang(z_0)*(1+z_0)$. 
 \begin{equation}
-\tilde{P}_{noise}(k) = < | n(k_x,k_y,k_z) |^2 > \simeq < P_{noise}(u,v, k_z) > 
+\tilde{P}_{noise}(k) = < |  {\cal F}_n (k_x,k_y,k_z) |^2 > \simeq < P_{noise}(\uv, k_z) > 
 \end{equation}
-The approximate power spectrum obtain through this simplified and much faster 
+The approximate power spectrum obtained through this simplified and much faster 
 method is shown as dashed curves on figure \ref{figpnoisea2g} for few instrument 
 configurations. 
@@ -850,8 +852,8 @@
 However, we have introduced a filling factor or illumination efficiency 
 $\eta$, relating the effective dish diameter $D_{ill}$ to the 
-mechanical dish size $D^{ill} = \eta \, D_{dish}$. The effective area $A_e \propto \eta^2$ scales 
+mechanical dish size $D_{ill} = \eta \, D_{dish}$. The effective area $A_e \propto \eta^2$ scales 
 as $\eta^2$ or $\eta_x \eta_y$. 
 \begin{eqnarray}
-{\cal L}_\circ (\uv,\lambda) & = & \bigwedge_{[\pm  D^{ill}/ \lambda]}(\sqrt{u^2+v^2})  \\
+{\cal L}_\circ (\uv,\lambda) & = & \bigwedge_{[\pm  \eta D_{dish}/ \lambda]}(\sqrt{u^2+v^2})  \\
  L_\circ (\alpha,\beta,\lambda) & = & \left[ \frac{ \sin (\pi (D^{ill}/\lambda) \sin \theta ) }{\pi (D^{ill}/\lambda) \sin \theta} \right]^2 
 \hspace{4mm} \theta=\sqrt{\alpha^2+\beta^2}
@@ -861,5 +863,5 @@
 
 For the receivers along the focal line of cylinders, we have assumed that the 
-individual receiver response in the $(u,v)$ plane corresponds to one from a 
+individual receiver response in the $(\uv)$ plane corresponds to one from a 
 rectangular shaped antenna. The illumination efficiency factor has been taken 
 equal to $\eta_x = 0.9$ in the direction of the cylinder width, and $\eta_y = 0.8$ 
@@ -879,5 +881,5 @@
 is the case for a transit type telescope.
 
-Figure \ref{figuvcovabcd} shows the instrument response ${\cal R}(u,v,\lambda)$ 
+Figure \ref{figuvcovabcd} shows the instrument response ${\cal R}(\uv,\lambda)$ 
 for the four configurations (a,b,c,d) with $\sim 100$ receivers per 
 polarisation. 
@@ -899,6 +901,6 @@
 \includegraphics[width=\textwidth]{Figs/uvcovabcd.pdf}
 }
-\caption{$(\uv)$ plane coverage (raw instrument response ${\cal R}(\uv,\lambda)$ 
-for four configurations.
+\caption{Raw instrument response ${\cal R}(\uv,\lambda)$ or the $(\uv)$ plane coverage
+at 710 MHz (redshift $z=1$) for four configurations.
 (a) 121 $D_{dish}=5$ meter diameter dishes arranged in a compact, square array 
 of $11 \times 11$, (b) 128 dishes arranged in 8 row of 16 dishes each (fig. \ref{figconfbc}), 
@@ -916,6 +918,7 @@
 }
 \vspace*{-20mm}
-\caption{P(k) 21 cm LSS power spectrum at redshift $z=1$ and noise power spectrum for several interferometer 
-configurations ((a),(b),(c),(d),(e),(f),(g)) with 121, 128, 129, 400 and 960 receivers. The noise power spectrum has been 
+\caption{P(k) 21 cm LSS power spectrum at redshift $z=1$ with $\gHI=2\%$ 
+and the noise power spectrum for several interferometer configurations
+ ((a),(b),(c),(d),(e),(f),(g)) with 121, 128, 129, 400 and 960 receivers. The noise power spectrum has been 
 computed for all configurations assuming a survey of a quarter of the sky over one year, 
 with a system temperature $\Tsys = 50 \mathrm{K}$. }
@@ -941,5 +944,5 @@
 frequency: this instrumental effect significantly increases the difficulty and complexity of this component separation 
 technique. The effect of frequency dependent beam shape is some time referred to as {\em 
-mode mixing}.  {\changemark Effect of the frequency dependent beam shape on foreground subtraction 
+mode mixing}.  {\changemark The effect of the frequency dependent beam shape on foreground subtraction 
 has been discussed for example in \cite{morales.06}.}
 
@@ -947,5 +950,5 @@
 the simple models we have used for computing the sky radio emissions in the GHz frequency 
 range. We present also a simple component separation method to extract the LSS signal and 
-its performance. {\changemark The analysis presented here follow a similar path to 
+its performance. {\changemark The analysis presented here follows a similar path to 
 a detailed foreground subtraction study carried for MWA at $\sim$ 150 MHz by \cite{bowman.09}. } 
 We compute in particular the effect of the instrument response on the recovered 
@@ -1011,5 +1014,5 @@
 deviation $\sigma_\beta = 0.15$. {\changemark The 
 diffuse radio background spectral index has been measured  for example by 
-\citep{platania.98} or \cite{rogers.08}.}
+\cite{platania.98} or \cite{rogers.08}.}
 The synchrotron contribution to the sky temperature for each cell is then 
 obtained  through the formula:
@@ -1104,6 +1107,6 @@
 The GSM model lacks the angular resolution needed to compute 
 correctly the effect of bright compact sources for 21 cm LSS observations and 
-the mode mixing due to frequency dependent instrument, while Model-II 
-provides a reasonable description of these compact sources. Our simulated 
+the mode mixing due to the frequency dependence of the instrumental response, 
+while Model-II provides a reasonable description of these compact sources. Our simulated 
 sky cubes have an angular resolution $3'\times3'$, well below the typical 
 $15'$ resolution of the instrument configuration considered here. 
@@ -1113,5 +1116,5 @@
 in their power spectra shown in figure \ref{pkgsmlss}. The smoothing or convolution with 
 a 25' beam has negligible effect of the GSM power spectrum, as it originally lacks 
-structures below 0.5 degree. We hope that by using 
+structures below 0.5 degree. By using 
 these two models, we have explored some of the systematic uncertainties 
 related to foreground subtraction.}
@@ -1133,5 +1136,5 @@
 }
 \vspace*{-10mm}
-\caption{Comparison of GSM (black) Model-II (red) sky cube temperature distribution.
+\caption{Comparison of GSM (black) and Model-II (red) sky cube temperature distribution.
 The Model-II (Haslam+NVSS),
 has been smoothed with a 35 arcmin gaussian beam. }
@@ -1145,5 +1148,5 @@
 \includegraphics[width=0.9\textwidth]{Figs/compmapgsm.pdf}
 }
-\caption{Comparison of GSM map (top) and Model-II sky map at 884 MHz (bottom). 
+\caption{Comparison of GSM (top) and Model-II (bottom) sky maps at 884 MHz. 
 The Model-II (Haslam+NVSS) has been smoothed with a 35 arcmin (FWHM) gaussian beam.}
 \label{compgsmmap}
@@ -1152,14 +1155,17 @@
 \begin{figure}
 \centering
-\vspace*{-25mm}
+% \vspace*{-25mm}
 \mbox{
-\hspace*{-15mm}
-\includegraphics[width=0.65\textwidth]{Figs/pk_gsm_lss.pdf}
+\hspace*{-6mm}
+\includegraphics[width=0.52\textwidth]{Figs/pk_gsm_lss.pdf}
 }
-\vspace*{-40mm}
-\caption{Comparison of the 21cm LSS power spectrum (red, orange) with the radio foreground power spectrum.
+\vspace*{-5mm}
+\caption{Comparison of the 21cm LSS power spectrum at $z=0.6$ with $\gHI=1\%$ (red, orange) 
+with the radio foreground power spectrum.
 The radio sky power spectrum is shown for the GSM (Model-I) sky model (dark blue), as well as for our simple
 model based on Haslam+NVSS (Model-II, black). The curves with circle markers show the power spectrum 
-as observed by a perfect instrument with a 25 arcmin (FWHM) gaussian beam.}
+as observed by a perfect instrument with a 25 arcmin (FWHM) gaussian beam. This beam has 
+negligible effect on the GSM/Model-I power spectrum, as GSM has no structures below $\sim 0.5^\circ$. 
+}
 \label{pkgsmlss}
 \end{figure}
@@ -1180,5 +1186,5 @@
 \item Apply instrument response in the angular wave mode plane. We use here the normalized instrument response
 $ {\cal R}(\uv,\lambda_k)  \lesssim 1$. 
-$$  {\cal T}_{sky}(\uv, \lambda_k)  \longrightarrow {\cal T}_{sky}(u, v, \lambda_k) \times {\cal R}(u,v,\lambda_k) $$
+$$  {\cal T}_{sky}(\uv, \lambda_k)  \longrightarrow {\cal T}_{sky}(u, v, \lambda_k) \times {\cal R}(\uv,\lambda_k) $$
 \item Apply inverse 2D Fourier transform to compute the measured sky brightness temperature map, 
 without instrumental (electronic/$\Tsys$) white noise:
@@ -1187,6 +1193,6 @@
 \item Add white noise (gaussian fluctuations) to the pixel map temperatures to obtain 
 the measured sky brightness temperature $T_{mes}(\alpha, \delta, \nu_k)$. 
-{\changemark The white noise hypothesis is reasonable at this level, as $(\uv)$ 
-dependent instrument response has already been applied.} 
+{\changemark The white noise hypothesis is reasonable at this level, since $(\uv)$ 
+dependent instrumental response has already been applied.} 
 We have also considered that the system temperature and thus the 
 additive white noise level was independent of the frequency or wavelength.   
@@ -1211,8 +1217,9 @@
 {\changemark 
 The virtual target beam ${\cal R}_f(\uv)$  has a lower resolution than the worst real instrument beam,
-i.e at the lowest observed frequency.  We assume that the intrinsic instrument response is known up to a threshold 
-numerical level of about $ \gtrsim 1 \%$ for  ${\cal R}(u,v,\lambda)$. We recall that this is the normalized instrument response,
-${\cal R}(\uv\lambda) \lesssim 1$. The correction factor ${\cal R}_f(\uv) / {\cal R}(\uv,\lambda)$  has also a numerical upper 
-bound around $\sim$100. }
+i.e at the lowest observed frequency.
+No correction has been  applied for modes with ${\cal R}(\uv,\lambda) \lesssim 1\%$, as a first 
+attempt to represent imperfect knowledge of the instrument response.
+We recall that this is the normalized instrument response,
+${\cal R}(\uv,\lambda) \lesssim 1$. The correction factor ${\cal R}_f(\uv) / {\cal R}(\uv,\lambda)$  has also a numerical upper bound $\sim 100$. }
 \item For each sky direction $(\alpha, \delta)$, a power law $T = T_0 \left( \frac{\nu}{\nu_0} \right)^b$
  is fitted to the beam-corrected brightness temperature. The fit is done through a linear $\chi^2$ fit in 
@@ -1252,5 +1259,5 @@
 present in the original map have been correctly recovered, although the amplitude of the temperature 
 fluctuations on the recovered map is significantly smaller (factor $\sim 5$) than in the original map. 
-{\changemark This is mostly due to the damping of the large scale ($k \lesssim 0.1 h \mathrm{Mpc^{-1}} $) 
+{\changemark This is mostly due to the damping of the large scale power ($k \lesssim 0.1 h \mathrm{Mpc^{-1}} $) 
 due to the foreground subtraction procedure (see figure \ref{extlssratio}).}
 
@@ -1266,20 +1273,20 @@
 with a frequency dependent gaussian beam shape. The mode mixing effect is greatly reduced for
 such a smooth beam, compared to the more complex instrument response 
-${\cal R}(u,v,\lambda)$ used for the results shown in figure \ref{extlsspk}.
+${\cal R}(\uv,\lambda)$ used for the results shown in figure \ref{extlsspk}.
 
 \begin{figure*}
 \centering
-\vspace*{-25mm}
+% \vspace*{-25mm}
 \mbox{
-\hspace*{-20mm}
-\includegraphics[width=1.15\textwidth]{Figs/extlsspk.pdf}
+% \hspace*{-20mm}
+\includegraphics[width=\textwidth]{Figs/extlsspk.pdf}
 }
-\vspace*{-35mm}
+% \vspace*{-10mm}
 \caption{Recovered power spectrum of the 21cm LSS temperature fluctuations, separated from the 
-continuum radio emissions at $z \sim 0.6$, for the instrument configuration (a), $11\times11$ 
+continuum radio emissions at $z \sim 0.6, \gHI=1\%$, for the instrument configuration (a), $11\times11$ 
 packed array interferometer.
-Left: GSM/Model-I , right: Haslam+NVSS/Model-II. black curve shows the residual after foreground subtraction,
-corresponding to the 21 cm signal, WITHOUT applying the beam correction. Red curve shows the recovered 21 cm 
-signal power spectrum, for P2 type fit of the frequency dependence of the radio continuum, and violet curve is the P1 fit (see text). The orange/yellow curve shows the original 21 cm signal power spectrum, smoothed with a perfect, frequency independent gaussian beam. }
+Left: GSM/Model-I , right: Haslam+NVSS/Model-II. The black curve shows the residual after foreground subtraction,
+corresponding to the 21 cm signal, WITHOUT applying the beam correction. The red curve shows the recovered 21 cm 
+signal power spectrum, for P2 type fit of the frequency dependence of the radio continuum, and violet curve is the P1 fit (see text). The orange curve shows the original 21 cm signal power spectrum, smoothed with a perfect, frequency independent gaussian beam. }
 \label{extlsspk}
 \end{figure*}
@@ -1351,5 +1358,5 @@
 becomes difficult for larger redshifts, in particular for $z \gtrsim 2$. 
 
-We have determined the transfer function parameters of eq. \ref{eq:tfanalytique} $k_A, k_B, k_C$ 
+We have determined the transfer function parameters of equation (\ref{eq:tfanalytique}) $k_A, k_B, k_C$ 
 for setup (e) for three redshifts, $z=0.5, 1 , 1.5$, and then extrapolated the value of the parameters 
 for redshift $z=2, 2.5$. The value of the parameters are grouped in table \ref{tab:paramtfk} 
@@ -1376,11 +1383,12 @@
 \begin{figure}
 \centering
-\vspace*{-25mm}
+% \vspace*{-25mm}
 \mbox{
-\hspace*{-10mm}
-\includegraphics[width=0.6\textwidth]{Figs/extlssratio.pdf}
+% \hspace*{-10mm}
+\includegraphics[width=0.5\textwidth]{Figs/extlssratio.pdf}
 }
-\vspace*{-30mm}
-\caption{Ratio of the reconstructed or extracted 21cm power spectrum, after foreground removal, to the initial 21 cm power spectrum, $\TrF(k) = P_{21}^{rec}(k) / P_{21}(k) $ (transfer function), at $z \sim 0.6$.  for the instrument configuration (a), $11\times11$ packed array interferometer. The effect of perfect gaussian beam of $\sim 30'$ is shown in black.
+% \vspace*{-30mm}
+\caption{Ratio of the reconstructed or extracted 21cm power spectrum, after foreground removal, to the initial 21 cm power spectrum, $\TrF(k) = P_{21}^{rec}(k) / P_{21}(k) $ (transfer function), at $z \sim 0.6$.  for the instrument configuration (a), $11\times11$ packed array interferometer. The effect of a frequency independent 
+gaussian beam of $\sim 30'$ is shown in black.
 The transfer function $\TrF(k)$  for the instrument configuration (a), $11\times11$ packed array interferometer,
 for the GSM/Model-I is shown in red, and in orange for Haslam+NVSS/Model-II. The transfer function 
@@ -1392,10 +1400,10 @@
 \begin{figure}
 \centering
-\vspace*{-25mm}
+% \vspace*{-25mm}
 \mbox{
-\hspace*{-10mm}
-\includegraphics[width=0.6\textwidth]{Figs/tfpkz0525.pdf}
+% \hspace*{-10mm}
+\includegraphics[width=0.5\textwidth]{Figs/tfpkz0525.pdf}
 }
-\vspace*{-30mm}
+%\vspace*{-30mm}
 \caption{Fitted/smoothed  transfer function $\TrF(k)$ obtained for the recovered 21 cm power spectrum at different redshifts, 
 $z=0.5 , 1.0 , 1.5 , 2.0 , 2.5$ for the instrument configuration (e), $20\times20$ packed array interferometer. }
@@ -1718,10 +1726,10 @@
 matrix with the Fisher matrix obtained for Planck mission, allows us to 
 compute the errors on dark energy parameters.
-The Planck Fisher matrix is
-obtained for the 8 parameters (assuming a flat universe): 
+{\changemark We have used the Planck Fisher matrix, computed for the 
+Euclid proposal \citep{laureijs.09}, for the 8 parameters: 
 $\Omega_m$, $\Omega_b$, $h$, $w_0$, $w_a$,
 $\sigma_8$, $n_s$ (spectral index of the primordial power spectrum) and
-$\tau$  (optical depth to the last-scatter surface).
-
+$\tau$  (optical depth to the last-scatter surface), 
+assuming a flat universe. }
 
 For an optimized project over a redshift range, $0.25<z<2.75$, with a total 
@@ -1730,8 +1738,10 @@
 The  Figure of Merit, the inverse of the area in the 95\% confidence level 
 contours  is 38.
- Finally, Fig.~\ref{fig:Compw0wa} 
+Finally, Fig.~\ref{fig:Compw0wa} 
 shows a comparison of different BAO projects, with a set of priors on 
 $(\Omega_m, \Omega_b, h)$ corresponding to the expected precision on 
-these parameters in early 2010's. This BAO project based on \HI intensity 
+these parameters in early 2010's. {\changemark The confidence contour 
+level in the plane $(w_0,w_a)$  have been obtained by marginalizing 
+over all the other parameters.} This BAO project based on \HI intensity 
 mapping is clearly competitive with the current generation of optical 
 surveys such as SDSS-III \citep{sdss3}. 
@@ -1742,5 +1752,6 @@
 \includegraphics[width=0.55\textwidth]{Figs/Ellipse21cm.pdf}
 \caption{$1\sigma$ and $2\sigma$ confidence level contours  in the 
-parameter plane $(w_0,w_a)$ for two BAO projects:   SDSS-III (LRG) project 
+parameter plane $(w_0,w_a)$, marginalized over all the other parameters, 
+for two BAO projects:   SDSS-III (LRG) project 
 (blue dotted line), 21 cm project with HI intensity mapping (black solid line).}
 \label{fig:Compw0wa}
@@ -1870,4 +1881,7 @@
 {\it LSST Science book}, LSST Science Collaborations, 2009, arXiv:0912.0201  
 
+% Planck Fischer matrix, computed for EUCLID 
+\bibitem[Laureijs (2009)]{laureijs.09} Laureijs, R. 2009, ArXiv:0912.0914
+
 % Temperature du 21 cm 
 \bibitem[Madau et al. (1997)]{madau.97} Madau, P., Meiksin, A. and Rees, M.J., 1997, \apj 475, 429 