Index: /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex
===================================================================
--- /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex	(revision 4044)
+++ /trunk/Cosmo/RadioBeam/sensfgnd21cm.tex	(revision 4045)
@@ -68,5 +68,6 @@
 % \def\changemark{\bf }
 \def\changemark{}
-\def\changemarkb{\bf }
+% \def\changemarkb{\bf }
+\def\changemarkb{}
 
 
@@ -316,6 +317,5 @@
 %%%%%%%%
 \begin{table}
-\caption{Sensitivity or source detection limit for 1 day integration time (86400 s) and 1 MHz 
-frequency band (left). 21 cm brightness for $10^{10} M_\odot$ \HI for different redshifts (right)  }
+\caption{21 cm source brightness and detection limits. }
 \label{slims21} 
 \begin{center}
@@ -348,4 +348,7 @@
 \end{tabular}
 \end{center}
+\tablefoot{The left panel shows the  sensitivity or source detection limit for 1 day integration time (86400 s) and 1 MHz 
+frequency band. The 21 cm brightness for sources containing $10^{10} M_\odot$ of \HI at different redshifts is given
+in the right panel.  }
 \end{table}
 
@@ -425,7 +428,5 @@
 
 \begin{table}
-\caption{Mean 21 cm brightness temperature in mK, as a function of redshift, for the 
-standard \LCDM cosmology with constant \HI mass fraction at $\gHIz$=0.01  (a) or linearly 
-increasing mass fraction (b)  $\gHIz=0.008(1+z)$ }
+\caption{21 cm brightness temperature (mK) at different redshifts. }
 \label{tabcct21} 
 % \begin{center}
@@ -442,8 +443,13 @@
 \end{tabular}
 %\end{center}
+\tablefoot{ Mean 21 cm brightness temperature in mK  for the 
+standard \LCDM cosmology as a function of redshift:
+\tablefoottext{a}{Constant \HI mass fraction \mbox{$\gHIz=0.01$}}
+\tablefoottext{b}{Linearly increasing mass fraction \mbox{$\gHIz=0.008(1+z)$} }
+}
 \end{table}
 
 \begin{figure}
-\vspace*{-4mm}
+\vspace*{-5mm}
 \hspace{-5mm}
 \includegraphics[width=0.57\textwidth]{Figs/pk21cmz12.pdf}
@@ -979,8 +985,5 @@
 \begin{table}
 \caption{
-Sky cube characteristics for the simulation performed in this paper. 
-Cube size : $ 90 \, \mathrm{deg.} \times 30 \, \mathrm{deg.} \times 128 \, \mathrm{MHz}$ ; 
-$1800 \times 600 \times 256 \simeq 123 \times 10^6$ cells 
-}
+Sky cube characteristics for the simulations described in this paper.  }
 \label{skycubechars}
 \begin{center}
@@ -1002,6 +1005,8 @@
 Frequency & 500 kHz ($d z \sim 10^{-3}$) & 256 \\
 \hline
-\end{tabular} \\[1mm]
+\end{tabular} 
 \end{center}
+\tablefoot{ Cube size : $ 90 \, \mathrm{deg.} \times 30 \, \mathrm{deg.} \times 128 \, \mathrm{MHz}$ ; 
+$1800 \times 600 \times 256 \simeq 123 \times 10^6$ cells }
 \end{table}
 %%%%
@@ -1100,6 +1105,5 @@
 
 \begin{table}
-\caption{ Mean temperature and standard deviation for the different sky brightness 
-data cubes computed for this study (see table \ref{skycubechars} for sky cube resolution and size).}
+\caption{Mean temperature and standard deviation for different sky cubes.}
 \label{sigtsky}
 \centering
@@ -1115,4 +1119,5 @@
 \hline
 \end{tabular}
+% \tablefoot{See table \ref{skycubechars} for sky cube resolution and size.}
 \end{table}
 
@@ -1398,10 +1403,5 @@
 
 \begin{table}[hbt]
-\caption{Transfer function (eq. \ref{eq:tfanalytique}) parameters
-  $(k_A,k_B,k_C)$  at different redshifts
-for instrumental setup (e), $20\times20$ packed array interferometer. 
-{\changemarkb Note that the parameters are given in
-  $\mathrm{Mpc^{-1}}$ unit, and not in $\mathrm{h \, Mpc^{-1}}$.}
-}
+\caption{Transfer function parameters.} 
 \label{tab:paramtfk}
 \begin{center}
@@ -1417,4 +1417,7 @@
 \end{tabular}
 \end{center}
+\tablefoot{ The transfer function parameters, $(k_A,k_B,k_C)$  (eq. \ref{eq:tfanalytique}) 
+at different redshifts and for instrumental setup (e), $20\times20$ packed array interferometer,
+are given in $\mathrm{Mpc^{-1}}$ unit, and not in $\mathrm{h \, Mpc^{-1}}$. } 
 \end{table}
 
@@ -1634,6 +1637,6 @@
 \end{equation}   
 \item {\it Noise}: we add the instrument noise as a constant term $P_{noise}$ as described in Eq. 
-\ref {eq:pnoiseNbeam}. Table \ref{tab:pnoiselevel} gives the white noise level for 
-$\Tsys = 50 \mathrm{K}$ and one year total observation time to survey $\Omega_{tot}$ = 1 $\pi$ sr.
+\ref {eq:pnoiseNbeam}. Table \ref{tab:pnoiselevel} gives the white noise level for a $N=400$ dish interferometer 
+with $\Tsys = 50 \mathrm{K}$ and one year total observation time to survey $\Omega_{tot}$ = 1 $\pi$ sr.
 \item {\it Noise with transfer function}: we take into account the interferometer response and radio foreground
 subtraction represented as the measured P(k) transfer function $T(k)$ (section \ref{tfpkdef}), as 
@@ -1642,5 +1645,5 @@
 
 \begin{table}
-\caption{Instrument or electronic noise spectral power $P_{noise}$ for a $N=400$ dish interferometer with $\Tsys=50$ K and $t_{obs} =$ 1 year to survey $\Omega_{tot} = \pi$ sr }
+\caption{Noise spectral power.} 
 \label{tab:pnoiselevel} 
 \begin{tabular}{|l|ccccc|}
@@ -1658,10 +1661,5 @@
 
 \begin{table*}[ht]
-\caption{Sensitivity on the measurement of $\koperp$ and $\kopar$ as a 
-function of the redshift $z$ for various simulation configuration. 
-$1^{\rm st}$ row: simulations without noise with pure cosmic variance; 
-$2^{\rm nd}$ row: simulations with electronics noise for a telescope with dishes; 
-$3^{\rm rd}$ row: simulations with the same electronics noise and with the transfer function ; 
-$4^{\rm th}$ row: optimized survey with a total observation time of 3 years (3 months, 3 months, 6 months, 1 year and 1 year respectively for redshift 0.5, 1.0, 1.5, 2.0 and 2.5 ).}
+\caption{Sensitivity on $\mathbf{k}_{BAO}$ measurement.}
 \label{tab:ErrorOnK}
 \begin{center}
@@ -1669,18 +1667,26 @@
 \multicolumn{2}{c|}{$\mathbf z$ }& \bf 0.5 & \bf 1.0 &  \bf 1.5 & \bf 2.0 & \bf 2.5 \\
 \hline\hline
-\bf No Noise & $\sigma(\koperp)/\koperp$  (\%) & 1.8 & 0.8 & 0.6 & 0.5 &0.5\\
+\bf No Noise (a) & $\sigma(\koperp)/\koperp$  (\%) & 1.8 & 0.8 & 0.6 & 0.5 &0.5\\
  & $\sigma(\kopar)/\kopar$  (\%) & 3.0 & 1.3 & 0.9 &  0.8 & 0.8\\
  \hline
- \bf  Noise without Transfer Function   & $\sigma(\koperp)/\koperp$  (\%) & 2.3 & 1.8 & 2.2 & 2.4 & 2.8\\
- (3-months/redshift)& $\sigma(\kopar)/\kopar$  (\%) & 4.1 & 3.1  & 3.6 & 4.3 & 4.4\\
+ \bf  Noise without Transfer Function (b)  & $\sigma(\koperp)/\koperp$  (\%) & 2.3 & 1.8 & 2.2 & 2.4 & 2.8\\
+ (3-months/redshift bin)& $\sigma(\kopar)/\kopar$  (\%) & 4.1 & 3.1  & 3.6 & 4.3 & 4.4\\
  \hline
- \bf   Noise with Transfer Function  & $\sigma(\koperp)/\koperp$  (\%) & 3.0 & 2.5 & 3.5 & 5.2 & 6.5 \\
- (3-months/redshift)& $\sigma(\kopar)/\kopar$  (\%) & 4.8 & 4.0 & 6.2 & 9.3 & 10.3\\
+ \bf   Noise with Transfer Function  (c) & $\sigma(\koperp)/\koperp$  (\%) & 3.0 & 2.5 & 3.5 & 5.2 & 6.5 \\
+ (3-months/redshift bin)& $\sigma(\kopar)/\kopar$  (\%) & 4.8 & 4.0 & 6.2 & 9.3 & 10.3\\
  \hline
- \bf  Optimized survey & $\sigma(\koperp)/\koperp$  (\%)   & 3.0 & 2.5 & 2.3 &  2.0 &  2.7\\
+ \bf  Optimized survey (d) & $\sigma(\koperp)/\koperp$  (\%)   & 3.0 & 2.5 & 2.3 &  2.0 &  2.7\\
  (Observation time :  3 years)& $\sigma(\kopar)/\kopar$  (\%) & 4.8 & 4.0 & 4.1 &  3.6  & 4.3 \\
  \hline
 \end{tabular}
 \end{center}
+\tablefoot{Relative errors on $\koperp$ and $\kopar$ measurements are given 
+as a function of the redshift $z$ for various simulation configurations: \\
+\tablefoottext{a}{$1^{\rm st}$ row: simulations without noise with pure cosmic variance; } \\
+\tablefoottext{b}{$2^{\rm nd}$ row: simulations with electronics noise for a telescope with dishes;  } \\
+\tablefoottext{c}{$3^{\rm rd}$ row: simulations with the same electronics noise and with the transfer function; } \\
+\tablefoottext{d}{$4^{\rm th}$ row: optimized survey with a total observation time of 3 years: 3 months, 3 months, 
+6 months, 1 year and 1 year respectively for \\ redshifts 0.5, 1.0, 1.5, 2.0 and 2.5.} 
+}
 \end{table*}%
 